// Solution to problem A of eindwedstrijd Voorbereiding
// Programmeerwedstrijden: Architecture

#include <iostream>
using namespace std;

int main ()
{ int R, C,
      max1, max2,
      xi, yj;

  cin >> R >> C;

  // read in eastern skyline
  max1 = -1;
  for (int i=1;i<=R;i++)
  { cin >> xi;
    if (xi>=max1)
      max1 = xi;
  }

  // read in northern skyline
  max2 = -1;
  for (int j=1;j<=C;j++)
  { cin >> yj;
    if (yj>=max2)
      max2 = yj;
  }

  if (max1==max2)
    cout << "possible" << endl;
// Why possible:
// * place the tallest building in the row and column where we found this
//   maximum height
// * place the other buildings from the eastern skyline in the same column
// * place the other buildings from the northern skyline in the same row
// * fill the other squares in the grid with 0
  else
    cout << "impossible" << endl;

  return 0;

}
